## Sensu-Plugins-Statful

[![Gem Version](https://badge.fury.io/rb/sensu-plugins-statful.svg)](http://badge.fury.io/rb/sensu-plugins-statful)

## Functionality

## Files
 * bin/metrics-statful.rb

## Usage

**metrics-statful**
```
{
  "metrics-statful": {
      "client": {
        "transport": "http",
        "token": "my_token",
        "dryRun": true
      },
      "handler": {
        "status": true,
        "logging": true
      }
    }
}
```

The example above will allow you to test the handler without actually ingest metrics into Statful - it will print the potential metrics to stdout.

### Client

The client section is used to configure the statful client that will ingest metrics into Statful.

The configuration is the same as the statful-ruby-client detailed [here](https://github.com/statful/statful-client-ruby/blob/master/README.md#reference).

Please note that the `flush_size` option will always be overwritten to `1` in order to actually ingest metrics since the sensu handler isn't long lived.

### Handler

The handler section is used to configure the behaviour of the handler itself as described in the table below:

| Option | Description | Type | Default | Required |
|:---|:---|:---|:---|:---|
| _status_ | Defines if a metrics with the value of the check status should be sent. | `Boolean` | `false` | **NO** |
| _logging_ | Defines the handler should log the statful client messages to the log. | `Boolean` | `false` | **NO** |

## Installation

[Installation and Setup](http://sensu-plugins.io/docs/installation_instructions.html)

## Authors

[Mindera - Software Craft](https://github.com/Mindera)

## License

Statful sensu plugins are available under the MIT license. See the [LICENSE](https://raw.githubusercontent.com/statful/sensu-plugins-statful/master/LICENSE) file for more information.
